Debian Bug report logs - #217713
ccache: Breaks -MF option

version graph

Package: ccache; Maintainer for ccache is Y Giridhar Appaji Nag <appaji@debian.org>; Source for ccache is src:ccache.

Reported by: Daniel Jacobowitz <dan@debian.org>

Date: Sun, 26 Oct 2003 22:03:05 UTC

Severity: normal

Found in version 2.3-1

Fixed in version ccache/2.4-9

Done: Francois Marier <francois@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Paul Russell <prussell@debian.org>:
Bug#217713; Package ccache. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
New Bug report received and forwarded. Copy sent to Paul Russell <prussell@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ccache: Breaks -MF option
Date: Sun, 26 Oct 2003 17:01:25 -0500
Package: ccache
Version: 2.3-1
Severity: normal

Take an empty file named foo.c and compile it as so:

/usr/bin/gcc foo.c -c -o `pwd`/foo.o -MD -MP -MF foo.d

foo.d will say:
/this/directory/foo.o: foo.c

Then run:

ccache gcc foo.c -c -o `pwd`/foo.o -MD -MP -MF foo.d

foo.d will say:
foo.o: foo.c

That breaks dependencies when the makefile runs with its current directory
different from its object directory - for instance glibc does this.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux nevyn 2.6.0-test6-nevyn #1 SMP Mon Sep 29 00:11:01 EDT 2003 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages ccache depends on:
ii  libc6                         2.3.2-8    GNU C Library: Shared libraries an

-- no debconf information


-- 
Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#217713; Package ccache. Full text and rfc822 format available.

Acknowledgement sent to Francois Marier <francois@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 217713@bugs.debian.org (full text, mbox):

From: Francois Marier <francois@debian.org>
To: 217713@bugs.debian.org
Subject: Patch for old ccache bug
Date: Wed, 13 Dec 2006 09:42:58 -0500
Hi Daniel,

I haven't had time to test this yet, I'll try to do that soon, but you may
be interested in the following patch for ccache:

  http://lists.samba.org/archive/ccache/2006q4/000249.html

(the first patch: "depends-bugfix")

Francois



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#217713; Package ccache. Full text and rfc822 format available.

Acknowledgement sent to Francois Marier <francois@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 217713@bugs.debian.org (full text, mbox):

From: Francois Marier <francois@debian.org>
To: 217713@bugs.debian.org
Subject: Fix to the -MF patch to ccache
Date: Wed, 13 Dec 2006 23:01:57 -0500
Here is a correction to the patch that was posted earlier:

----- Forwarded message from Kaz Kylheku <kkylheku@gmail.com> -----

Oops, there is a problem with the first patch, the depends-bugfix.

The /* other options */ code block should not have been moved.

I will re-release a correct patch soon.

This is easy to fix locally. Get rid of the hunk which deletes the
block, the third hunk marked @@ -730,12, +758,6 @@. Apply the patch,
and then remove from the file the redundant /* other options */ block
added by the second hunk.

----- End forwarded message -----

(from http://lists.samba.org/archive/ccache/2006q4/000250.html)



Reply sent to Francois Marier <francois@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Jacobowitz <dan@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 217713-close@bugs.debian.org (full text, mbox):

From: Francois Marier <francois@debian.org>
To: 217713-close@bugs.debian.org
Subject: Bug#217713: fixed in ccache 2.4-9
Date: Sat, 30 Jun 2007 06:32:03 +0000
Source: ccache
Source-Version: 2.4-9

We believe that the bug you reported is fixed in the latest version of
ccache, which is due to be installed in the Debian FTP archive:

ccache_2.4-9.diff.gz
  to pool/main/c/ccache/ccache_2.4-9.diff.gz
ccache_2.4-9.dsc
  to pool/main/c/ccache/ccache_2.4-9.dsc
ccache_2.4-9_amd64.deb
  to pool/main/c/ccache/ccache_2.4-9_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 217713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francois Marier <francois@debian.org> (supplier of updated ccache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 30 Jun 2007 17:58:44 +1200
Source: ccache
Binary: ccache
Architecture: source amd64
Version: 2.4-9
Distribution: unstable
Urgency: low
Maintainer: Francois Marier <francois@debian.org>
Changed-By: Francois Marier <francois@debian.org>
Description: 
 ccache     - Compiler results cacher, for fast recompiles
Closes: 217713 431007
Changes: 
 ccache (2.4-9) unstable; urgency=low
 .
   * Add a symlink for gcc 4.2 (closes: #431007)
   * Fix dependencies when using -o (closes: #217713)
Files: 
 7e899f37a35faf7db7ff1cb575986e2d 578 devel optional ccache_2.4-9.dsc
 d1f92d4219165429ad5409d589267c86 37918 devel optional ccache_2.4-9.diff.gz
 b2d881a606ba5126c54ef32f1c05ae4f 33946 devel optional ccache_2.4-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGhfG6ScUZKBnQNIYRAv30AKCX9BEuAgyNFmMiA2C0mfFFuJe4FACfUGlC
JEXZ91c2OTEwBHue/hOszl4=
=C3ys
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Aug 2007 07:26:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:04:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.